package uaa.feral.physical.behaviors;

import java.util.Iterator;
import java.util.Map;

import repast.simphony.engine.environment.RunEnvironment;

/**
 * Static model that returns discharge for a given time interval without estimation or other calculations
 * @author 
 */
public class StaticDischargeModel extends EvolveHydrology{

	public void setDischargeInfo(String river, int month,
			Map<Integer, double[]> sample) {
		
	}
	
	public void runModel(){
		Iterator<String> ic = source.keySet().iterator();
		while(ic.hasNext()){
			String riverN = ic.next();
			Map<Integer,double[]>sample=source.get(riverN);
			int month=getCalendarMonth();
			double[] discharge=sample.get(month);
			double currentDischarge=discharge[(int)RunEnvironment.getInstance().getCurrentSchedule().getTickCount()];
			dischargeByRivers.put(riverN,currentDischarge);
		}
	}

}
