package uaa.feral.social;

import uaa.feral.util.data.ScenarioData;

public interface GeneralModel {
	
	/**
	 * Method to run the social water use model
	 */
	public void runModel();
	
	/**
	 * Method to setup model data used by a given water use model
	 * @param file the file to use for model data
	 */
	public void setupModelData(String file);
	
	public void setScenarioData(ScenarioData scenarioData);
}
