package uaa.feral.social.waterUse;

import repast.simphony.engine.environment.RunEnvironment;
import repast.simphony.engine.schedule.IAction;
import repast.simphony.engine.schedule.ISchedule;
import repast.simphony.engine.schedule.ScheduleParameters;
import uaa.feral.social.Organization;


public class MiningWaterUse extends WaterUseBehaviors{

	private Organization organization;
	private String additionalArgument;
	
	public MiningWaterUse(Organization organization){
		this.organization=organization;
	}
	
	/**
	 * Class to run model continuously
	 * @author 
	 */
	private class RunWaterUse implements IAction{
		public void execute() {
			runModel();
		}
	}

	public void runModel(){
		double tickNow=RunEnvironment.getInstance().getCurrentSchedule().getTickCount();
		
		ISchedule schedule2 = repast.simphony.engine.environment.RunEnvironment.getInstance()
  		.getCurrentSchedule();
		schedule2.schedule(ScheduleParameters.createOneTime(tickNow+1,0),new RunWaterUse());
	}
	
	public Organization getOrganization() {
		return organization;
	}

	public void setOrganization(Organization organization) {
		this.organization = organization;
	}

	public String getAdditionalArgument() {
		return additionalArgument;
	}

	public void setAdditionalArgument(String additionalArgument) {
		this.additionalArgument = additionalArgument;
	}
}
